org.apache.ode.bpel.dd

## Interface TCleanup.Category

- All Superinterfaces:
    org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TCleanupImpl.CategoryImpl
  Enclosing interface:
    TCleanup

      public static interface TCleanup.Category
      extends org.apache.xmlbeans.XmlString

  An XML category(@http://www.apache.org/ode/schemas/dd/2007/03). This is an atomic type that is a restriction of org.apache.ode.bpel.dd.TCleanup$Category.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TCleanup.Category.Enum` Enumeration value class for org.apache.ode.bpel.dd.TCleanup$Category.
    `static class` | `TCleanup.Category.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TCleanup.Category.Enum` | `ALL`
    `static TCleanup.Category.Enum` | `CORRELATIONS`
    `static TCleanup.Category.Enum` | `EVENTS`
    `static TCleanup.Category.Enum` | `INSTANCE`
    `static int` | `INT_ALL`
    `static int` | `INT_CORRELATIONS`
    `static int` | `INT_EVENTS`
    `static int` | `INT_INSTANCE`
    `static int` | `INT_MESSAGES`
    `static int` | `INT_VARIABLES`
    `static TCleanup.Category.Enum` | `MESSAGES`
    `static org.apache.xmlbeans.SchemaType` | `type`
    `static TCleanup.Category.Enum` | `VARIABLES`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
    `void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

    - #### INSTANCE

          static final TCleanup.Category.Enum INSTANCE

    - #### VARIABLES

          static final TCleanup.Category.Enum VARIABLES

    - #### MESSAGES

          static final TCleanup.Category.Enum MESSAGES

    - #### CORRELATIONS

          static final TCleanup.Category.Enum CORRELATIONS

    - #### EVENTS

          static final TCleanup.Category.Enum EVENTS

    - #### ALL

          static final TCleanup.Category.Enum ALL

    - #### INT_INSTANCE

          static final int INT_INSTANCE

      See Also:
        Constant Field Values

    - #### INT_VARIABLES

          static final int INT_VARIABLES

      See Also:
        Constant Field Values

    - #### INT_MESSAGES

          static final int INT_MESSAGES

      See Also:
        Constant Field Values

    - #### INT_CORRELATIONS

          static final int INT_CORRELATIONS

      See Also:
        Constant Field Values

    - #### INT_EVENTS

          static final int INT_EVENTS

      See Also:
        Constant Field Values

    - #### INT_ALL

          static final int INT_ALL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### enumValue

          org.apache.xmlbeans.StringEnumAbstractBase enumValue()

    - #### set

          void set(org.apache.xmlbeans.StringEnumAbstractBase e)